/* Definicoes basicas (16 bits) */



// TIPOS

// inteiro sem sinal de 8 bits
#define BYTE unsigned char

// inteiros de 32 bits
#define UINT long unsigned int
#define INT  long int

// inteiros de 16 bits
#define UINT16 unsigned int
#define INT16  int

// booleano
#define BOOL unsigned char
#define TRUE 1
#define FALSE 0



// MENSAGENS

#define MSG_SEMMEMORIA "\nImpossivel alocar memoria, memoria esgotada."
#define MSG_IMPOSSIVELEXECUTAR "\nImpossivel executar aplicativo."
#define MSG_RECORTEXMIN "recortei x min.! (CGr::mAtrVrQuad2D)\n"
#define MSG_RECORTEXMAX "recortei x max.! (CGr::mAtrVrQuad2D)\n"
#define MSG_ERROCALCX "erro ao calcular x de interseccao (CGr::mAtrVrQuad2D)\n"



// VIDEO

// modos de video
// 320x200x256 (eh o modo grafico default)
#define MCGA  0x0013
// texto comum
#define TEXTO 0x0003

// resolucao de video no modo grafico
#define RESX 320
#define RESY 200

// valores maximos e minimos para coordenadas no video (modo grafico default)
#define MINX 0
#define MINY 0
#define MAXX ( RESX - 1 )
#define MAXY ( RESY - 1 )

// tamanho a memoria virtual de video
#define TAMVR ( RESX * RESY )

// faixa de cores que pode ser usada para definir cor de poligonos
#define MINCOR 64
#define MAXCOR 128



// MATEMATICA e TRANSFORMACOES

// numero PI
#define Pi 3.14159265359

// numero de unidades para completar uma volta (em graus seria 360)
#define NANGS 256

// numero maximo que as unidades para completar uma volta podem ser assumir
#define MAXANGS 255

// valor maximo e minimo para Z
#define MAXZ 32767
#define MINZ -32768

// perspectiva e distancia, usados na projecao considerando Z
#define PERS 300
#define DIST 50

// numero de valores rotacionados que serao guardados eventual uso futuro
#define TAMROT 2
